# Class FaceLandmarks

#### Hierarchy

- FaceLandmarks
  - FaceLandmarks5
  - FaceLandmarks68

#### Implements

- IFaceLandmarks

- Defined in classes/FaceLandmarks.ts:20

#####
Index

### Constructors

constructor

### Accessors

imageHeight
imageWidth
positions
relativePositions
shift

### Methods

align
forSize
shiftBy
shiftByPoint

## Constructors

### constructor

- new FaceLandmarks(relativeFaceLandmarkPositions: Point[], imgDims: IDimensions, shift?: Point): FaceLandmarks

- #### Parameters

  - ##### relativeFaceLandmarkPositions: Point[]

  - ##### imgDims: IDimensions

  - ##### shift: Point = ...

  #### Returns FaceLandmarks

  - Defined in classes/FaceLandmarks.ts:27

## Accessors

### imageHeight

- get imageHeight(): number

- #### Returns number

  - Defined in classes/FaceLandmarks.ts:44

### imageWidth

- get imageWidth(): number

- #### Returns number

  - Defined in classes/FaceLandmarks.ts:42

### positions

- get positions(): Point[]

- #### Returns Point[]

  Implementation of IFaceLandmarks.positions

  - Defined in classes/FaceLandmarks.ts:46

### relativePositions

- get relativePositions(): Point[]

- #### Returns Point[]

  - Defined in classes/FaceLandmarks.ts:48

### shift

- get shift(): Point

- #### Returns Point

  Implementation of IFaceLandmarks.shift

  - Defined in classes/FaceLandmarks.ts:40

## Methods

### align

- align(detection?: null | IRect | IBoundingBox | FaceDetection, options?: { minBoxPadding?: number; useDlibAlignment?: boolean }): Box<any>

- Aligns the face landmarks after face detection from the relative positions of the faces bounding box, or it's current shift. This function should be used to align the face images after face detection has been performed, before they are passed to the face recognition net. This will make the computed face descriptor more accurate.

  ### Returns

  The bounding box of the aligned face.

  #### Parameters

  - ##### `Optional` detection: null | IRect | IBoundingBox | FaceDetection

    (optional) The bounding box of the face or the face detection result. If no argument was passed the position of the face landmarks are assumed to be relative to it's current shift.

  - ##### options: { minBoxPadding?: number; useDlibAlignment?: boolean } = {}

    - ##### `Optional` minBoxPadding?: number

    - ##### `Optional` useDlibAlignment?: boolean

  #### Returns Box<any>

  - Defined in classes/FaceLandmarks.ts:84

### forSize

- forSize<T>(width: number, height: number): T

- #### Type Parameters

  - #### T extends FaceLandmarks<T>

  #### Parameters

  - ##### width: number

  - ##### height: number

  #### Returns T

  - Defined in classes/FaceLandmarks.ts:54

### shiftBy

- shiftBy<T>(x: number, y: number): T

- #### Type Parameters

  - #### T extends FaceLandmarks<T>

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns T

  - Defined in classes/FaceLandmarks.ts:61

### shiftByPoint

- shiftByPoint<T>(pt: Point): T

- #### Type Parameters

  - #### T extends FaceLandmarks<T>

  #### Parameters

  - ##### pt: Point

  #### Returns T

  - Defined in classes/FaceLandmarks.ts:69